# Poco

# class TaskCancelledNotification

Library: Foundation
Package: Tasks
Header: Poco/TaskNotification.h

## Description

This notification is posted by the TaskManager for every task that has been cancelled.

## Inheritance

Direct Base Classes: TaskNotification

All Base Classes: Notification, RefCountedObject, TaskNotification

## Member Summary

Inherited Functions: duplicate, name, referenceCount, release, task

## Constructors

### TaskCancelledNotification

TaskCancelledNotification(
Task * pTask
);

## Destructor

### ~TaskCancelledNotification

~TaskCancelledNotification();